# eric3.VCS.mercurialPackage.ProjectHelper

Module implementing the VCS project helper for Mercurial.

### Classes

HgProjectHelper | Class implementing the VCS project helper for Mercurial.

### Functions

None

## HgProjectHelper

Class implementing the VCS project helper for Mercurial.

### Derived from

VcsProjectHelper

### Methods

HgProjectHelper | Constructor
hgExtendedDiff | Private slot used to perform a hg diff with the selection of revisions.
hgIncoming | Private slot used to check changesets incoming to the repository.
hgManifest | Private slot used to show the manifest of the repository.
hgMerge | Private slot used to update the local project from the repository with merging.
hgOutgoing | Private slot used to check changesets outgoing from the repository.
hgPull | Private slot used to pull changesets into the repository.
hgPush | Private slot used to push changesets from the repository.
hgTagList | Private slot used to list the tags of the project.
hgUndo | Private slot used to undo the last commit or pull transaction.
initActions | Private method to generate the action objects.
initMenu | Private method to generate the VCS menu.

### HgProjectHelper (Constructor)

HgProjectHelper(vcsObject, projectObject, parent=None, name=None)

Constructor

vcsObject
  reference to the vcs object
projectObject
  reference to the project object
parent
  parent widget (QWidget)
name
  name of this object (string or QString)

### HgProjectHelper.hgExtendedDiff

hgExtendedDiff()

Private slot used to perform a hg diff with the selection of revisions.

### HgProjectHelper.hgIncoming

hgIncoming()

Private slot used to check changesets incoming to the repository.

### HgProjectHelper.hgManifest

hgManifest()

Private slot used to show the manifest of the repository.

### HgProjectHelper.hgMerge

hgMerge()

Private slot used to update the local project from the repository with merging.

### HgProjectHelper.hgOutgoing

hgOutgoing()

Private slot used to check changesets outgoing from the repository.

### HgProjectHelper.hgPull

hgPull()

Private slot used to pull changesets into the repository.

### HgProjectHelper.hgPush

hgPush()

Private slot used to push changesets from the repository.

### HgProjectHelper.hgTagList

hgTagList()

Private slot used to list the tags of the project.

### HgProjectHelper.hgUndo

hgUndo()

Private slot used to undo the last commit or pull transaction.

### HgProjectHelper.initActions

initActions()

Private method to generate the action objects.

### HgProjectHelper.initMenu

initMenu()

Private method to generate the VCS menu.

Up